skuinfo_sql="""
 select id,sku_no,price,cid1,cid2,cid3,brand_name,brand_id from
    offline_recommend.recommend_same_product 
"""
FM_rediskey='search_fm_offline_feature:{}_query_offline'

cid1_rediskey='{}_cid1_offline'#.format(df['cid1'].to_list()[0])
cid2_rediskey='{}_cid2_offline'#.format(df['cid2'].to_list()[0])
cid3_rediskey='{}_cid3_offline'#.format(df['cid3'].to_list()[0])
brandname_rediskey='{}_brand_name_offline'
sku_rediskey='{}_sku_offline'


##用户的搜索词结果
user_search_result_hql="""
select response_search_id,request_search_content,count(1)
-- request_user_uuid,request_search_content,response_product_result
from nrt_search.search_record_info
where  dt>=date_sub(current_date(),1) and dt<current_date()
and request_search_content is not null 
and length(request_search_content)>0
group by response_search_id,request_search_content
"""
##用户搜索的点击操作
user_search_hit_hsql="""
select  unique_id, 
            device_id, uuid, skuid, source_type, click_time, page_type
    from data_science.daily_product_click_expose_info
    where  dt>=date_sub(current_date(),1) and dt<current_date()
    and page_type = 100
"""